%define module	django-guardian

Name:		python-%{module}
Version:	1.4.4
Release:	%mkrel 1
Summary:	Implementation of per object permissions for Django
License:	BSD
Group:		Development/Python
URL:		https://github.com/lukaszb/django-guardian/
Source0:	https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(pyflakes)

%description
django-guardian is implementation of per object permissions as
authorization backend which is supported since Django 1.2. It won't
work with older Django releases.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Implementation of per object permissions for Django
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(pyflakes)

%description -n python3-%{module}
django-guardian is implementation of per object permissions as
authorization backend which is supported since Django 1.2. It won't
work with older Django releases.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf django_guardian.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc CHANGES README.rst docs/ benchmarks/ example_project/
# list some files explicitly to avoid listing locale files twice
%{python2_sitelib}/guardian/*.py*
%{python2_sitelib}/guardian/conf/
%{python2_sitelib}/guardian/management/
%{python2_sitelib}/guardian/migrations/
%{python2_sitelib}/guardian/static/
%{python2_sitelib}/guardian/templates/
%{python2_sitelib}/guardian/templatetags/
%{python2_sitelib}/guardian/testapp/
%{python2_sitelib}/django_guardian-%{version}-py%{python2_version}.egg-info
# locale files
%lang(es) %{python2_sitelib}/guardian/locale/es/LC_MESSAGES/django.?o
%lang(fr) %{python2_sitelib}/guardian/locale/fr/LC_MESSAGES/django.?o
%lang(pl) %{python2_sitelib}/guardian/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python2_sitelib}/guardian/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python2_sitelib}/guardian/locale/ru/LC_MESSAGES/django.?o

%files -n python3-%{module}
%doc CHANGES README.rst docs/ benchmarks/ example_project/
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/guardian/*py*
%{python3_sitelib}/guardian/conf/
%{python3_sitelib}/guardian/management/
%{python3_sitelib}/guardian/migrations/
%{python3_sitelib}/guardian/static/
%{python3_sitelib}/guardian/templates/
%{python3_sitelib}/guardian/templatetags/
%{python3_sitelib}/guardian/testapp/
%{python3_sitelib}/django_guardian-%{version}-py%{python3_version}.egg-info
# locale files
%lang(es) %{python3_sitelib}/guardian/locale/es/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/guardian/locale/fr/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/guardian/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/guardian/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/guardian/locale/ru/LC_MESSAGES/django.?o


%changelog
* Mon Apr 04 2016 daviddavid <daviddavid> 1.4.4-1.mga6
+ Revision: 998287
- new version: 1.4.4

* Sun Apr 03 2016 daviddavid <daviddavid> 1.4.3-1.mga6
+ Revision: 997820
- new version: 1.4.3

* Sun Jan 10 2016 daviddavid <daviddavid> 1.4.1-1.mga6
+ Revision: 921227
- new version: 1.4.1
- update file list

* Sat Dec 05 2015 daviddavid <daviddavid> 1.3.2-1.mga6
+ Revision: 908263
- new version: 1.3.2
- update file list

* Sat Oct 31 2015 daviddavid <daviddavid> 1.3.1-1.mga6
+ Revision: 896870
- new version: 1.3.1
- update file list

* Wed Oct 07 2015 daviddavid <daviddavid> 1.3-2.mga6
+ Revision: 886811
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 1.3-1.mga6
+ Revision: 837971
- new version: 1.3
- add more docs and locale files
- update file list
- fix strange-permission

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-4.mga5
+ Revision: 745372
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.4-3.mga5
+ Revision: 728284
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-2.mga5
+ Revision: 687980
- Mageia 5 Mass Rebuild

* Fri Jul 18 2014 daviddavid <daviddavid> 1.2.4-1.mga5
+ Revision: 653687
- new version: 1.2.4

* Wed Jul 09 2014 daviddavid <daviddavid> 1.2.2-1.mga5
+ Revision: 650928
- new version: 1.2.2

* Sat May 31 2014 pterjan <pterjan> 1.2.0-5.mga5
+ Revision: 628567
- Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 1.2.0-4.mga5
+ Revision: 618041
- fix list some files explicitly to avoid listing locale files twice

* Thu Apr 24 2014 daviddavid <daviddavid> 1.2.0-3.mga5
+ Revision: 617674
- fix rpmlint warning: "file-not-in-%%lang"
- update URL

* Tue Apr 22 2014 daviddavid <daviddavid> 1.2.0-2.mga5
+ Revision: 617356
- remove unneeded provides package (thanks philippem)

* Mon Apr 21 2014 daviddavid <daviddavid> 1.2.0-1.mga5
+ Revision: 617223
- add support of python 3
- imported package python-django-guardian

